Name:          dynalang
Version:       0.3
Release:       %mkrel 1
Summary:       JVM Dynamic Languages Metaobject Protocol
Group:         Development/Java
License:       ASL
Url:           http://dynalang.sourceforge.net/
Source0:       http://sourceforge.net/projects/dynalang/files/dynalang/dynalang-%{version}/dynalang-0.3.tgz
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: emma
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Library for implementation of interoperable metaobject protocols for
dynamic languages running on a Java Virtual Machine.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
JVM Dynamic Languages Metaobject Protocol.

This package contains javadoc for %{name}

%prep
%setup -q -c %{name}-%{version}
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

mkdir -p testlib
pushd testlib
  ln -sf $(build-classpath emma) emma.jar
  ln -sf $(build-classpath emma_ant) emma_ant.jar
  ln -sf $(build-classpath junit) junit.jar
popd

%build

export ClASSPATH=$(build-classpath emma emma_ant junit ant/ant-junit)
ant jar doc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}

install -pm 644 build/dynalang-%{version}.jar \
  %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/dynalang-%{version}
cp -pr build/doc/javadoc/* %{buildroot}%{_javadocdir}/dynalang-%{version}
ln -s dynalang-%{version} %{buildroot}%{_javadocdir}/dynalang

%files
%{_javadir}/dynalang-%{version}.jar
%{_javadir}/dynalang.jar
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/dynalang-%{version}
%{_javadocdir}/dynalang



%changelog
* Sun Jul 31 2011 dmorgan <dmorgan> 0.3-1.mga2
+ Revision: 130854
- Clean spec file

  + gil <gil>
    - imported package dynalang


* Sat Jun 11 2011 gil <gil> 0.3-0.%%mkrel
- initial rpm